## org.eclipse.datatools.modelbase.sql.query
Interface SearchConditionNested

All Superinterfaces:
  QuerySearchCondition, SearchCondition, SQLObject, SQLQueryObject

All Known Implementing Classes:
  SearchConditionNestedImpl

    public interface SearchConditionNested

extends QuerySearchCondition

A representation of the model object 'SQL Search Condition Nested'.

The following features are supported:

- `Nested Condition`

See Also:
  `SQLQueryModelPackage.getSearchConditionNested()`

Method Summary
`QuerySearchCondition` `getNestedCondition()` Returns the value of the 'Nested Condition' containment reference.
`void` `setNestedCondition(QuerySearchCondition value)` Sets the value of the '`Nested Condition`' containment reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.QuerySearchCondition
`getCombinedLeft, getCombinedRight, getDeleteStatement, getNest, getQuerySelectHaving, getQuerySelectWhere, getTableJoined, getUpdateStatement, getValueExprCaseSearchContent, isNegatedCondition, setCombinedLeft, setCombinedRight, setDeleteStatement, setNegatedCondition, setNest, setQuerySelectHaving, setQuerySelectWhere, setTableJoined, setUpdateStatement, setValueExprCaseSearchContent`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.expressions.SearchCondition
`getSQL, setSQL`

Method Detail

### getNestedCondition

    QuerySearchCondition getNestedCondition()

  Returns the value of the 'Nested Condition' containment reference. It is bidirectional and its opposite is '`Nest`'.

  If the meaning of the 'Nested Condition' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Nested Condition' containment reference.
  See Also:
    `setNestedCondition(QuerySearchCondition)`, `SQLQueryModelPackage.getSearchConditionNested_NestedCondition()`, `QuerySearchCondition.getNest()`

### setNestedCondition

    void setNestedCondition(QuerySearchCondition value)

  Sets the value of the '`Nested Condition`' containment reference.

  Parameters:
    `value` - the new value of the 'Nested Condition' containment reference.
  See Also:
    `getNestedCondition()`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.